import { DocumentNode, FieldNode } from 'graphql';
export declare const DIRECTIVE_NAME = "preload";
/**
 * Checks wether a field has a specific directive annotation for given name.
 * @param fieldNode field node
 * @param directiveName directive name
 */
export declare function hasDirectiveAnnotation(fieldNode: FieldNode, directiveName: string): boolean;
/**
 * Gets all field node paths with directives used for annotation.
 * @param query document node of query
 */
export declare function getAnnotatedFieldPaths(query: DocumentNode, directiveName?: string): string[];
